---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List webhooks

List webhooks.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Webhook",
      "description": "Manage webhooks."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/webhooks": {
      "get": {
        "tags": [
          "Webhook"
        ],
        "operationId": "webhook.list",
        "summary": "List webhooks",
        "description": "List webhooks.",
        "responses": {
          "200": {
            "description": "Webhook list.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "description": "The webhook resource list.",
                      "x-example-ignore": true,
                      "type": "array",
                      "items": {
                        "description": "The webhook resource.",
                        "example": {
                          "id": "1234",
                          "name": "My example application",
                          "url": "https://example.com/receive-xentral-webhook-endpoint",
                          "events": [
                            {
                              "id": "com.xentral.salesOrder.created.v1"
                            },
                            {
                              "id": "com.xentral.salesOrder.updated.v1"
                            }
                          ]
                        },
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "id",
                          "name",
                          "url",
                          "events"
                        ],
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "name": {
                            "description": "The name of the webhook.",
                            "type": "string",
                            "example": "My example application"
                          },
                          "url": {
                            "description": "The URL of the application which should receive the webhook request.",
                            "type": "string",
                            "format": "uri",
                            "example": "https://example.com/receive-xentral-webhook-endpoint"
                          },
                          "events": {
                            "type": "array",
                            "description": "The webhookEventType resource.",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "required": [
                                "id"
                              ],
                              "properties": {
                                "id": {
                                  "description": "The unique identifier of the event type.",
                                  "type": "string",
                                  "example": "com.xentral.salesOrder.created.v1"
                                }
                              }
                            },
                            "example": [
                              {
                                "id": "com.xentral.salesOrder.created.v1"
                              },
                              {
                                "id": "com.xentral.salesOrder.updated.v1"
                              }
                            ]
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```